#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "Templates/SubclassOf.h"
#include "DBDTunableRowHandle.h"
#include "K06PowerAddon_TombstonePiece.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THESHAPE_API UK06PowerAddon_TombstonePiece : public UItemAddon
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UStatusEffect> _undetectableEffectClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle _undetectableEffectDuration;

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, Instanced, meta=(AllowPrivateAccess=true))
	UStatusEffect* _undetectableEffect;

public:
	UK06PowerAddon_TombstonePiece();
};

FORCEINLINE uint32 GetTypeHash(const UK06PowerAddon_TombstonePiece) { return 0; }
